using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using INT63DC_2C.Forms;

namespace INT63DC_2C.DialogForms
{
    public partial class DialogFormMessage : Form
    {
        #region Field
        private FormMain m_ParentForm;
        #endregion

        #region Constructor
        public DialogFormMessage(string str, DataStore.E_LanguageID language, string code)
        {
            InitializeComponent();

            this.labelErrorCode.Text = code;
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (language)
            {
                case DataStore.E_LanguageID.Korean:
                    if(this.labelErrorCode.Text == "")
                        this.labelErrorCode.Text = "Notice";
                    this.labelMessage1.Text = str + "개의 파일이 백업되었습니다.";
                    break;
                case DataStore.E_LanguageID.English:
                    if (this.labelErrorCode.Text == "")
                        this.labelErrorCode.Text = "Notice";
                    this.labelMessage1.Text = str + " files are backed up";
                    break;
                case DataStore.E_LanguageID.Chinese:
                    this.buttonOK.Text = "好";

                    if (this.labelErrorCode.Text == "")
                        this.labelErrorCode.Text = "通知";
                    this.labelMessage1.Text = str + " 个文件已备份";
                    break;
                case DataStore.E_LanguageID.Czech:
                    this.labelErrorCode.Text = "Upozornění";
                    this.labelMessage1.Text = "Těchto " + str + " soubory byly zálohovány.";
                    break;
                case DataStore.E_LanguageID.German:
                    this.buttonOK.Text = "Bestätigen";

                    if (this.labelErrorCode.Text == "")
                        this.labelErrorCode.Text = "Meldung";
                    this.labelMessage1.Text = str + " Dateien wurden gesichert";
                    break;
                case DataStore.E_LanguageID.Japanese:
                    if (this.labelErrorCode.Text == "")
                        this.labelErrorCode.Text = "注意";
                    this.labelMessage1.Text = str + "ファイルがバックアップされた";
                    break;
                default:
                    break;
            }
        }
        public DialogFormMessage(int code, DataStore.E_LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (language)
            {
                case DataStore.E_LanguageID.Korean:
                    #region 한글
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Error 01";
                            this.labelMessage1.Text = "입력범위를 확인하세요.";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "Error 02";
                            this.labelMessage1.Text = "최신 프로그램입니다.";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "Error 03";
                            this.labelMessage1.Text = "연속으로 불량이 발생했습니다";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "Error 04";
                            this.labelMessage1.Text = "백업할 파일이 없습니다";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "Error 05";
                            this.labelMessage1.Text = "USB메모리가 장착되지 않았습니다";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "Error 06";
                            this.labelMessage1.Text = "제조사에 문의하세요";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "Error 07";
                            this.labelMessage1.Text = "USB에 업데이트 할 파일이 없습니다";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "Error 08";
                            this.labelMessage1.Text = "업데이트 할 실행파일 개수가 많습니다";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "Error 09";
                            this.labelMessage1.Text = "USB에 업데이트 폴더가 없습니다";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "Error 10";
                            this.labelMessage1.Text = "해당 메모리가 장착되지 않았습니다";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "Info 11";
                            this.labelMessage1.Text = "중량 Limit 설정 확인하세요!";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "Info 12";
                            this.labelMessage1.Text = "최대 10개의 파일을 선택할 수 있습니다";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "Error 13";
                            this.labelMessage1.Text = "이 파일은 지원이 되지 않습니다";
                            break;
                        case 14:
                            break;
                        case 15:
                            break;
                        case 16:
                            break;
                        case 17:
                            this.labelErrorCode.Text = "Error 17";
                            this.labelMessage1.Text = "초기화를 실행해 주세요";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "Info 18";
                            this.labelMessage1.Text = "전원을 끄고 다시 켜주세요";
                            break;
                        case 19:
                            break;
                        case 20:
                            break;
                        case 21:
                            break;
                        case 22:
                            break;
                        case 23:
                            this.labelErrorCode.Text = "Error 23";
                            this.labelMessage1.Text = "통신 연결 상태를 확인하세요";
                            this.labelMessage2.Text = "";
                            break;
                        case 24:
                            break;
                        case 25:
                            break;
                        case 26:
                            break;
                        case 27:
                            break;
                        case 28:
                            break;
                        case 29:
                            break;
                        case 30:
                            break;
                        case 31:
                            this.labelErrorCode.Text = "Error 31";
                            this.labelMessage1.Text = "유저 파일 에러";
                            this.labelMessage2.Text = "";
                            break;
                        case 32:
                            this.labelErrorCode.Text = "Error 32";
                            this.labelMessage1.Text = "ID 확인하세요";
                            this.labelMessage2.Text = "";
                            break;
                        case 33:
                            this.labelErrorCode.Text = "Error 33";
                            this.labelMessage1.Text = "Password 확인하세요";
                            this.labelMessage2.Text = "";
                            break;
                        case 34:
                            this.labelErrorCode.Text = "Error 34";
                            this.labelMessage1.Text = "ID : 동일한 ID가 있습니다";
                            this.labelMessage2.Text = "";
                            break;
                        case 35:
                            this.labelErrorCode.Text = "Error 35";
                            this.labelMessage1.Text = "ID : 6~20자 입력 하세요";
                            this.labelMessage2.Text = "";
                            break;
                        case 36:
                            this.labelErrorCode.Text = "Error 36";
                            this.labelMessage1.Text = "ID : 동일한 문자(111,222,aaa...)를";
                            this.labelMessage2.Text = "3번 이상 사용할 수 없습니다";
                            break;
                        case 37:
                            this.labelErrorCode.Text = "Error 37";
                            this.labelMessage1.Text = "ID : 연속된 문자(123,321,abc,cba...)를";
                            this.labelMessage2.Text = "사용할 수 없습니다";
                            break;
                        case 38:
                            this.labelErrorCode.Text = "Error 38";
                            this.labelMessage1.Text = "PASSWORD : 6~20자 입력 하세요";
                            this.labelMessage2.Text = "";
                            break;
                        case 39:
                            this.labelErrorCode.Text = "Error 39";
                            this.labelMessage1.Text = "PASSWORD : 동일한 문자(111,222,aaa...)를";
                            this.labelMessage2.Text = "3번 이상 사용할 수 없습니다";
                            break;
                        case 40:
                            this.labelErrorCode.Text = "Error 40";
                            this.labelMessage1.Text = "PASSWORD : 연속된 문자(123,321,abc,cba...)를";
                            this.labelMessage2.Text = "사용할 수 없습니다";
                            break;
                        case 41:
                            this.labelErrorCode.Text = "Error 41";
                            this.labelMessage1.Text = "PASSWORD : 영문1이상, 숫자1이상, 특수문자1이상";
                            this.labelMessage2.Text = "포함하여 주십시오";
                            break;
                        case 42:
                            this.labelErrorCode.Text = "Error 42";
                            this.labelMessage1.Text = "PASSWORD : 이전에 설정한 패스워드입니다";
                            this.labelMessage2.Text = "";
                            break;
                        case 43:
                            this.labelErrorCode.Text = "Notice 43";
                            this.labelMessage1.Text = "자동 로그아웃 됩니다";
                            this.labelMessage2.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 99";
                            this.labelMessage1.Text = "제조사에 문의하세요";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.English:
                    #region 영문
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Error 01";
                            this.labelMessage1.Text = "Confirm input range";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "Error 02";
                            this.labelMessage1.Text = "Application is the lastest";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "Error 03";
                            this.labelMessage1.Text = "Detect Continuous N.G !!";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "Error 04";
                            this.labelMessage1.Text = "There are no Backup files";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "Error 05";
                            this.labelMessage1.Text = "No USB Memory";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "Error 06";
                            this.labelMessage1.Text = "Please contact a manufacturer";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "Error 07";
                            this.labelMessage1.Text = "There are no update files in USB";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "Error 08";
                            this.labelMessage1.Text = "Too much file for update";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "Error 09";
                            this.labelMessage1.Text = "There is no folder has update files in USB";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "Error 10";
                            this.labelMessage1.Text = "There is no MEMORY";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "Info 11";
                            this.labelMessage1.Text = "Confirm input range (Weight Limit)";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "Info 12";
                            this.labelMessage1.Text = "You can select up to 10 files";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "Error 13";
                            this.labelMessage1.Text = "This file is not supported";
                            break;
                        case 14:
                            break;
                        case 15:
                            break;
                        case 16:
                            break;
                        case 17:
                            this.labelErrorCode.Text = "Error 17";
                            this.labelMessage1.Text = "Please run the initialization";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "Error 18";
                            this.labelMessage1.Text = "Turn the power off and back on.";
                            break;
                        case 19:
                            break;
                        case 20:
                            break;
                        case 21:
                            break;
                        case 22:
                            break;
                        case 23:
                            this.labelErrorCode.Text = "Error 23";
                            this.labelMessage1.Text = "Check the communication connection status";
                            this.labelMessage2.Text = "";
                            break;
                        case 24:
                            break;
                        case 25:
                            break;
                        case 26:
                            break;
                        case 27:
                            break;
                        case 28:
                            break;
                        case 29:
                            break;
                        case 30:
                            break;
                        case 31:
                            this.labelErrorCode.Text = "Error 31";
                            this.labelMessage1.Text = "User files error";
                            this.labelMessage2.Text = "";
                            break;
                        case 32:
                            this.labelErrorCode.Text = "Error 32";
                            this.labelMessage1.Text = "Check the ID";
                            this.labelMessage2.Text = "";
                            break;
                        case 33:
                            this.labelErrorCode.Text = "Error 33";
                            this.labelMessage1.Text = "Check the password";
                            this.labelMessage2.Text = "";
                            break;
                        case 34:
                            this.labelErrorCode.Text = "Error 34";
                            this.labelMessage1.Text = "The system already has the same ID";
                            this.labelMessage2.Text = "";
                            break;
                        case 35:
                            this.labelErrorCode.Text = "Error 35";
                            this.labelMessage1.Text = "Please enter 4-10 characters";
                            this.labelMessage2.Text = "";
                            break;
                        case 36:
                            this.labelErrorCode.Text = "Error 36";
                            this.labelMessage1.Text = "ID: The same character (111,222,aaa...)";
                            this.labelMessage2.Text = "cannot be used more than 3 times";
                            break;
                        case 37:
                            this.labelErrorCode.Text = "Error 37";
                            this.labelMessage1.Text = "ID: Consecutive characters (123,321,abc,cba...)";
                            this.labelMessage2.Text = "cannot be used";
                            break;
                        case 38:
                            this.labelErrorCode.Text = "Error 38";
                            this.labelMessage1.Text = "PASSWORD: Enter 6~20 characters";
                            this.labelMessage2.Text = "";
                            break;
                        case 39:
                            this.labelErrorCode.Text = "Error 39";
                            this.labelMessage1.Text = "PASSWORD: The same character (111,222,aaa...)";
                            this.labelMessage2.Text = "cannot be used more than 3 times";
                            break;
                        case 40:
                            this.labelErrorCode.Text = "Error 40";
                            this.labelMessage1.Text = "PASSWORD: Consecutive characters";
                            this.labelMessage2.Text = "(123,321,abc,cba...) cannot be used";
                            break;
                        case 41:
                            this.labelErrorCode.Text = "Error 41";
                            this.labelMessage1.Text = "PASSWORD: Include at least 1 English letter,";
                            this.labelMessage2.Text = "at least 1 number, and at least 1 special character";
                            break;
                        case 42:
                            this.labelErrorCode.Text = "Error 42";
                            this.labelMessage1.Text = "PASSWORD: This is the password you set previously";
                            this.labelMessage2.Text = "";
                            break;
                        case 43:
                            this.labelErrorCode.Text = "Notice 43";
                            this.labelMessage1.Text = "You will be automatically logged out";
                            this.labelMessage2.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 99";
                            this.labelMessage1.Text = "Please contact a manufacturer";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Chinese:
                    #region 중문
                    this.buttonOK.Text = "好";

                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "錯誤 01";
                            this.labelMessage1.Text = "确认输入范围";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "錯誤 02";
                            this.labelMessage1.Text = "最近应用";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "錯誤 03";
                            this.labelMessage1.Text = "测试连续NG";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "錯誤 04";
                            this.labelMessage1.Text = "无支持文件";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "錯誤 05";
                            this.labelMessage1.Text = "无USB存储卡";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "錯誤 06";
                            this.labelMessage1.Text = "请联系厂商";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "錯誤 07";
                            this.labelMessage1.Text = "USB无更新文件";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "錯誤 08";
                            this.labelMessage1.Text = "太多文件需更新";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "錯誤 09";
                            this.labelMessage1.Text = "USB没有文件夹需要更新文件";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "錯誤 10";
                            this.labelMessage1.Text = "无存储";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "信息 11";
                            this.labelMessage1.Text = "确认输入范围(重量限制)";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "信息 12";
                            this.labelMessage1.Text = "您最多可以选择 10 个文件";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "錯誤 13";
                            this.labelMessage1.Text = "不支援这个档案";
                            break;
                        case 14:
                            break;
                        case 15:
                            break;
                        case 16:
                            break;
                        case 17:
                            this.labelErrorCode.Text = "錯誤 17";
                            this.labelMessage1.Text = "运行初始化";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "錯誤 18";
                            this.labelMessage1.Text = "关掉电源，然后在打开电源";
                            break;
                        case 19:
                            break;
                        case 20:
                            break;
                        case 21:
                            break;
                        case 22:
                            break;
                        case 23:
                            this.labelErrorCode.Text = "錯誤 23";
                            this.labelMessage1.Text = "检查通讯连接状态";
                            this.labelMessage2.Text = "";
                            break;
                        case 24:
                            break;
                        case 25:
                            break;
                        case 26:
                            break;
                        case 27:
                            break;
                        case 28:
                            break;
                        case 29:
                            break;
                        case 30:
                            break;
                        case 31:
                            this.labelErrorCode.Text = "錯誤 31";
                            this.labelMessage1.Text = "用户文件错误";
                            this.labelMessage2.Text = "";
                            break;
                        case 32:
                            this.labelErrorCode.Text = "錯誤 32";
                            this.labelMessage1.Text = "检查身份证";
                            this.labelMessage2.Text = "";
                            break;
                        case 33:
                            this.labelErrorCode.Text = "錯誤 33";
                            this.labelMessage1.Text = "检查密码";
                            this.labelMessage2.Text = "";
                            break;
                        case 34:
                            this.labelErrorCode.Text = "錯誤 34";
                            this.labelMessage1.Text = "系统已具有相同的ID";
                            this.labelMessage2.Text = "";
                            break;
                        case 35:
                            this.labelErrorCode.Text = "錯誤 35";
                            this.labelMessage1.Text = "请输入4-10个字符";
                            this.labelMessage2.Text = "";
                            break;
                        case 36:
                            this.labelErrorCode.Text = "錯誤 36";
                            this.labelMessage1.Text = "ID：相同字符（111、222、aaa……）不能使用超过3次";
                            this.labelMessage2.Text = "";
                            break;
                        case 37:
                            this.labelErrorCode.Text = "錯誤 37";
                            this.labelMessage1.Text = "ID：连续字符（123、321、abc、cba……）不能使用";
                            this.labelMessage2.Text = "";
                            break;
                        case 38:
                            this.labelErrorCode.Text = "錯誤 38";
                            this.labelMessage1.Text = "密码：请输入6至20个字符";
                            this.labelMessage2.Text = "";
                            break;
                        case 39:
                            this.labelErrorCode.Text = "錯誤 39";
                            this.labelMessage1.Text = "密码：相同字符（111、222、aaa……）不能使用超过3次";
                            this.labelMessage2.Text = "";
                            break;
                        case 40:
                            this.labelErrorCode.Text = "錯誤 40";
                            this.labelMessage1.Text = "密码：连续字符（123、321、abc、cba……）不能使用";
                            this.labelMessage2.Text = "";
                            break;
                        case 41:
                            this.labelErrorCode.Text = "錯誤 41";
                            this.labelMessage1.Text = "密码：至少包含1个英文字母、1个数字和1个特殊字符";
                            this.labelMessage2.Text = "";
                            break;
                        case 42:
                            this.labelErrorCode.Text = "錯誤 42";
                            this.labelMessage1.Text = "密码：这是您之前设置的密码";
                            this.labelMessage2.Text = "";
                            break;
                        case 43:
                            this.labelErrorCode.Text = "注意 43";
                            this.labelMessage1.Text = "您将自动退出";
                            this.labelMessage2.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "錯誤 99";
                            this.labelMessage1.Text = "请联系厂商";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Czech:
                    #region 체코어
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Chyba 01";
                            this.labelMessage1.Text = "Potvrďte zadanou hodnotu";
                            this.labelMessage2.Text = "";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "Chyba 02";
                            this.labelMessage1.Text = "Software je aktuální";
                            this.labelMessage2.Text = "";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "Chyba 03";
                            this.labelMessage1.Text = "Detekovat neustále chybějící produkt";
                            this.labelMessage2.Text = "";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "Chyba 04";
                            this.labelMessage1.Text = "Chybí zálohové soubory";
                            this.labelMessage2.Text = "";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "Chyba 05";
                            this.labelMessage1.Text = "USB nepřipojeno";
                            this.labelMessage2.Text = "";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "Chyba 06";
                            this.labelMessage1.Text = "Kontaktujte výrobce";
                            this.labelMessage2.Text = "";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "Chyba 07";
                            this.labelMessage1.Text = "Na USB chybí aktualizační soubory";
                            this.labelMessage2.Text = "";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "Chyba 08";
                            this.labelMessage1.Text = "Příliš mnoho souboru k aktualizaci";
                            this.labelMessage2.Text = "";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "Chyba 09";
                            this.labelMessage1.Text = "Na USB disku není žádná složka s aktualizačními soubory.";
                            this.labelMessage2.Text = "";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "Chyba 10";
                            this.labelMessage1.Text = "Chybí paměť";
                            this.labelMessage2.Text = "";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "info 11";
                            this.labelMessage1.Text = "Potvrďte vstupní rozsah (hmotnostní limit)";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "Info 12";
                            this.labelMessage1.Text = "Můžete vybrat až 10 souborů";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "Chybě 13";
                            this.labelMessage1.Text = "Tento soubor není podporován";
                            break;
                        case 14:
                            break;
                        case 15:
                            break;
                        case 16:
                            break;
                        case 17:
                            this.labelErrorCode.Text = "Chybě 17";
                            this.labelMessage1.Text = "Prosím proveďte spuštění";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "Chybě 18";
                            this.labelMessage1.Text = "Vypněte a zapněte hlavním vypínačem";
                            break;
                        case 19:
                            break;
                        case 20:
                            break;
                        case 21:
                            break;
                        case 22:
                            break;
                        case 23:
                            this.labelErrorCode.Text = "Chybě 23";
                            this.labelMessage1.Text = "Zkontrolujte stav komunikačního připojení";
                            break;
                        case 24:
                            break;
                        case 25:
                            break;
                        case 26:
                            break;
                        case 27:
                            break;
                        case 28:
                            break;
                        case 29:
                            break;
                        case 30:
                            break;
                        case 31:
                            this.labelErrorCode.Text = "Chybě 31";
                            this.labelMessage1.Text = "Chyba souborů uživatele";
                            this.labelMessage2.Text = "";
                            break;
                        case 32:
                            this.labelErrorCode.Text = "Chybě 32";
                            this.labelMessage1.Text = "Zkontrolujte ID";
                            this.labelMessage2.Text = "";
                            break;
                        case 33:
                            this.labelErrorCode.Text = "Chybě 33";
                            this.labelMessage1.Text = "Zkontrolujte heslo";
                            this.labelMessage2.Text = "";
                            break;
                        case 34:
                            this.labelErrorCode.Text = "Chybě 34";
                            this.labelMessage1.Text = "Systém již má stejné ID";
                            this.labelMessage2.Text = "";
                            break;
                        case 35:
                            this.labelErrorCode.Text = "Chybě 35";
                            this.labelMessage1.Text = "Zadejte 4–10 znaků";
                            this.labelMessage2.Text = "";
                            break;
                        case 36:
                            this.labelErrorCode.Text = "Chybě 36";
                            this.labelMessage1.Text = "ID: Stejný znak (111, 222, aaa...) nelze použít více";
                            this.labelMessage2.Text = "než 3krát";
                            break;
                        case 37:
                            this.labelErrorCode.Text = "Chybě 37";
                            this.labelMessage1.Text = "ID: Nelze použít po sobě jdoucí znaky";
                            this.labelMessage2.Text = "(123, 321, abc, cba...)";
                            break;
                        case 38:
                            this.labelErrorCode.Text = "Chybě 38";
                            this.labelMessage1.Text = "HESLO: Zadejte 6–20 znaků";
                            this.labelMessage2.Text = "";
                            break;
                        case 39:
                            this.labelErrorCode.Text = "Chybě 39";
                            this.labelMessage1.Text = "HESLO: Stejný znak (111, 222, aaa...)";
                            this.labelMessage2.Text = "nelze použít více než 3krát";
                            break;
                        case 40:
                            this.labelErrorCode.Text = "Chybě 40";
                            this.labelMessage1.Text = "HESLO: Nelze použít po sobě jdoucí znaky";
                            this.labelMessage2.Text = "(123, 321, abc, cba...)";
                            break;
                        case 41:
                            this.labelErrorCode.Text = "Chybě 41";
                            this.labelMessage1.Text = "HESLO: Obsahuje alespoň 1 anglické písmeno,";
                            this.labelMessage2.Text = "alespoň 1 číslici a alespoň 1 speciální znak";
                            break;
                        case 42:
                            this.labelErrorCode.Text = "Chybě 42";
                            this.labelMessage1.Text = "HESLO: Toto je heslo, které jste si nastavili dříve";
                            this.labelMessage2.Text = "";
                            break;
                        case 43:
                            this.labelErrorCode.Text = "Upozornění 43";
                            this.labelMessage1.Text = "Budete automaticky odhlášeni";
                            this.labelMessage2.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "Chybě 99";
                            this.labelMessage1.Text = "Kontaktujte výrobce";
                            this.labelMessage2.Text = "";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.German:
                    #region 독일어
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Fehler 01";
                            this.labelMessage1.Text = "Den eingegebenen Wert bestätigen";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "Fehler 02";
                            this.labelMessage1.Text = "Software ist up-to-date";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "Fehler 03";
                            this.labelMessage1.Text = "Fehlendes Produkt dauerhaft detektieren";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "Fehler 04";
                            this.labelMessage1.Text = "Sicherungsdateien fehlen";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "Fehler 05";
                            this.labelMessage1.Text = "USB nicht angeschlossen";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "Fehler 06";
                            this.labelMessage1.Text = "Hersteller kontaktieren";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "Fehler 07";
                            this.labelMessage1.Text = "Auf USB fehlen Aktualisierungsdateien";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "Fehler 08";
                            this.labelMessage1.Text = "Zu viele ausführbare Dateien";
                            this.labelMessage2.Text = "zum Aktualisieren";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "Fehler 09";
                            this.labelMessage1.Text = "Ordner mit den Aktualisierungsdateien";
                            this.labelMessage2.Text = "fehlt auf dem USB";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "Fehler 10";
                            this.labelMessage1.Text = "Speicher/ Datenspeicher fehlt";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "Info 11";
                            this.labelMessage1.Text = "Eingabebereich bestätigen (Gewichtsgrenze)";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "Info 12";
                            this.labelMessage1.Text = "Sie können bis zu 10 Dateien auswählen";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "Fehler 13";
                            this.labelMessage1.Text = "Diese Datei wird nicht unterstützt";
                            break;
                        case 14:
                            break;
                        case 15:
                            break;
                        case 16:
                            break;
                        case 17:
                            this.labelErrorCode.Text = "Fehler 17";
                            this.labelMessage1.Text = "Bitte starten";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "Fehler 18";
                            this.labelMessage1.Text = "Mit dem Hauptschalter";
                            this.labelMessage2.Text = "aus- und einschalten";
                            break;
                        case 19:
                            break;
                        case 20:
                            break;
                        case 21:
                            break;
                        case 22:
                            break;
                        case 23:
                            this.labelErrorCode.Text = "Fehler 23";
                            this.labelMessage1.Text = "Verbindungsstatus prüfen";
                            this.labelMessage2.Text = "";
                            break;
                        case 24:
                            break;
                        case 25:
                            break;
                        case 26:
                            break;
                        case 27:
                            break;
                        case 28:
                            break;
                        case 29:
                            break;
                        case 30:
                            break;
                        case 31:
                            this.labelErrorCode.Text = "Fehler 31";
                            this.labelMessage1.Text = "Fehler der Benutzerdateien";
                            this.labelMessage2.Text = "";
                            break;
                        case 32:
                            this.labelErrorCode.Text = "Fehler 32";
                            this.labelMessage1.Text = "Überprüfen Sie die ID";
                            this.labelMessage2.Text = "";
                            break;
                        case 33:
                            this.labelErrorCode.Text = "Fehler 33";
                            this.labelMessage1.Text = "Überprüfen Sie das Passwort";
                            this.labelMessage2.Text = "";
                            break;
                        case 34:
                            this.labelErrorCode.Text = "Fehler 34";
                            this.labelMessage1.Text = "Das System hat bereits die gleiche ID";
                            this.labelMessage2.Text = "";
                            break;
                        case 35:
                            this.labelErrorCode.Text = "Fehler 35";
                            this.labelMessage1.Text = "Bitte geben Sie 4-10 Zeichen ein";
                            this.labelMessage2.Text = "";
                            break;
                        case 36:
                            this.labelErrorCode.Text = "Fehler 36";
                            this.labelMessage1.Text = "ID: Dasselbe Zeichen (111, 222, aaa…) darf";
                            this.labelMessage2.Text = "maximal dreimal verwendet werden.";
                            break;
                        case 37:
                            this.labelErrorCode.Text = "Fehler 37";
                            this.labelMessage1.Text = "ID: Aufeinanderfolgende Zeichen (123, 321, abc, cba…)";
                            this.labelMessage2.Text = "dürfen nicht verwendet werden.";
                            break;
                        case 38:
                            this.labelErrorCode.Text = "Fehler 38";
                            this.labelMessage1.Text = "PASSWORT: Geben Sie 6–20 Zeichen ein.";
                            this.labelMessage2.Text = "";
                            break;
                        case 39:
                            this.labelErrorCode.Text = "Fehler 39";
                            this.labelMessage1.Text = "PASSWORT: Dasselbe Zeichen (111, 222, aaa…)";
                            this.labelMessage2.Text = "darf maximal dreimal verwendet werden.";
                            break;
                        case 40:
                            this.labelErrorCode.Text = "Fehler 40";
                            this.labelMessage1.Text = "PASSWORT: Aufeinanderfolgende Zeichen";
                            this.labelMessage2.Text = "(123, 321, abc, cba…) dürfen nicht verwendet werden.";
                            break;
                        case 41:
                            this.labelErrorCode.Text = "Fehler 41";
                            this.labelMessage1.Text = "PASSWORT: Mindestens ein englischer Buchstabe,";
                            this.labelMessage2.Text = "mindestens eine Zahl und mindestens ein Sonderzeichen.";
                            break;
                        case 42:
                            this.labelErrorCode.Text = "Fehler 42";
                            this.labelMessage1.Text = "PASSWORT: Dies ist das zuvor von Ihnen festgelegte";
                            this.labelMessage2.Text = "Passwort.";
                            break;
                        case 43:
                            this.labelErrorCode.Text = "Hinweis 43";
                            this.labelMessage1.Text = "Sie werden automatisch abgemeldet.";
                            this.labelMessage2.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "Fehler 99";
                            this.labelMessage1.Text = "Hersteller kontaktieren";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Japanese:
                    #region Japanese
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "エラㅡ 01";
                            this.labelMessage1.Text = "入力範囲を確認する";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "エラㅡ 02";
                            this.labelMessage1.Text = "アプリケㅡションは最新である";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "エラㅡ 03";
                            this.labelMessage1.Text = "連続NGを検出する";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "エラㅡ 04";
                            this.labelMessage1.Text = "バックアップファイルがない";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "エラㅡ 05";
                            this.labelMessage1.Text = "USBメモリなし";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "エラㅡ 06";
                            this.labelMessage1.Text = "メㅡカㅡにお問い合わせください";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "エラㅡ 07";
                            this.labelMessage1.Text = "USBに更新ファイルがない";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "エラㅡ 08";
                            this.labelMessage1.Text = "更新用ファイルが多すぎる";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "エラㅡ 09";
                            this.labelMessage1.Text = "USBに更新ファイルが入ったフォルダㅡがない";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "エラㅡ 10";
                            this.labelMessage1.Text = "メモリㅡがない";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "注意 11";
                            this.labelMessage1.Text = "重量制限設定を確認してください！";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "注意 12";
                            this.labelMessage1.Text = "最大 10 個のファイルを選択できます";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "エラㅡ 13";
                            this.labelMessage1.Text = "このファイルはサポートされていません";
                            break;
                        case 14:
                            break;
                        case 15:
                            break;
                        case 16:
                            break;
                        case 17:
                            this.labelErrorCode.Text = "エラㅡ  17";
                            this.labelMessage1.Text = "初期化を実行してください";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "注意 18";
                            this.labelMessage1.Text = "電源をOFFにしてから電源をONにする";
                            break;
                        case 19:
                            break;
                        case 20:
                            break;
                        case 21:
                            break;
                        case 22:
                            break;
                        case 23:
                            this.labelErrorCode.Text = "エラㅡ  23";
                            this.labelMessage1.Text = "通信接続状態を確認する";
                            this.labelMessage2.Text = "";
                            break;
                        case 24:
                            break;
                        case 25:
                            break;
                        case 26:
                            break;
                        case 27:
                            break;
                        case 28:
                            break;
                        case 29:
                            break;
                        case 30:
                            break;
                        case 31:
                            this.labelErrorCode.Text = "エラㅡ  31";
                            this.labelMessage1.Text = "ユㅡザㅡファイルエラㅡ";
                            this.labelMessage2.Text = "";
                            break;
                        case 32:
                            this.labelErrorCode.Text = "エラㅡ  32";
                            this.labelMessage1.Text = "IDを確認する";
                            this.labelMessage2.Text = "";
                            break;
                        case 33:
                            this.labelErrorCode.Text = "エラㅡ  33";
                            this.labelMessage1.Text = "パスワㅡドを確認する";
                            this.labelMessage2.Text = "";
                            break;
                        case 34:
                            this.labelErrorCode.Text = "エラㅡ  34";
                            this.labelMessage1.Text = "システムに既に同じIDがある";
                            this.labelMessage2.Text = "";
                            break;
                        case 35:
                            this.labelErrorCode.Text = "エラㅡ  35";
                            this.labelMessage1.Text = "4～10文字を入力してください";
                            this.labelMessage2.Text = "";
                            break;
                        case 36:
                            this.labelErrorCode.Text = "エラㅡ 36";
                            this.labelMessage1.Text = "ID: 同じ文字 (111,222,aaa...) は3回以上";
                            this.labelMessage2.Text = "使用できません";
                            break;
                        case 37:
                            this.labelErrorCode.Text = "エラㅡ 37";
                            this.labelMessage1.Text = "ID: 連続する文字 (123,321,abc,cba...) は";
                            this.labelMessage2.Text = "使用できません";
                            break;
                        case 38:
                            this.labelErrorCode.Text = "エラㅡ 38";
                            this.labelMessage1.Text = "パスワード: 6～20文字を入力してください";
                            this.labelMessage2.Text = "";
                            break;
                        case 39:
                            this.labelErrorCode.Text = "エラㅡ 39";
                            this.labelMessage1.Text = "パスワード: 同じ文字 (111,222,aaa...) は";
                            this.labelMessage2.Text = "3回以上使用できません";
                            break;
                        case 40:
                            this.labelErrorCode.Text = "エラㅡ 40";
                            this.labelMessage1.Text = "パスワード: 連続する文字 (123,321,abc,cba...) は";
                            this.labelMessage2.Text = "使用できません";
                            break;
                        case 41:
                            this.labelErrorCode.Text = "エラㅡ 41";
                            this.labelMessage1.Text = "パスワード: 英字、数字、特殊文字を";
                            this.labelMessage2.Text = "それぞれ1文字以上含めてください";
                            break;
                        case 42:
                            this.labelErrorCode.Text = "エラㅡ 42";
                            this.labelMessage1.Text = "パスワード: 以前に設定したパスワードです";
                            this.labelMessage2.Text = "";
                            break;
                        case 43:
                            this.labelErrorCode.Text = "お知らせ 43";
                            this.labelMessage1.Text = "自動的にログアウトされます";
                            this.labelMessage2.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "エラㅡ  99";
                            this.labelMessage1.Text = "メㅡカㅡにお問い合わせください";
                            break;
                    }
                    #endregion
                    break;
                default:
                    break;
            }
        }
        public DialogFormMessage(int code, DataStore.E_LanguageID language, FormMain parent)
        {
            InitializeComponent();

            this.ParentForm = parent;

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (language)
            {
                case DataStore.E_LanguageID.Korean:
                    #region 한글
                    switch (code)
                    {
                        case 11:
                            this.labelErrorCode.Text = "Error 11";
                            this.labelMessage1.Text = "입력센서 에러에 의해 정지하였습니다.";
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 99";
                            this.labelMessage1.Text = "제조사에 문의하세요";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.English:
                    #region 영문
                    switch (code)
                    {
                        case 11:
                            this.labelErrorCode.Text = "Error 11";
                            this.labelMessage1.Text = "Emergency stop due to entry sensor error";
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 99";
                            this.labelMessage1.Text = "Please contact a manufacturer";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Chinese:
                    #region 중문
                    this.buttonOK.Text = "好";

                    switch (code)
                    {
                        case 11:
                            this.labelErrorCode.Text = "錯誤 11";
                            this.labelMessage1.Text = "由于进入传感器错误导致紧急停止";
                            break;
                        default:
                            this.labelErrorCode.Text = "錯誤 99";
                            this.labelMessage1.Text = "请联系厂商";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Czech:
                    #region 체코어
                    switch (code)
                    {
                        case 11:
                            this.labelErrorCode.Text = "Chybě 11";
                            this.labelMessage1.Text = "Nouzové zastavení z důvodu chyby snímače vstupu";
                            break;
                        default:
                            this.labelErrorCode.Text = "Chybě 99";
                            this.labelMessage1.Text = "Kontaktujte výrobce";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.German:
                    #region 독일어
                    switch (code)
                    {
                        case 11:
                            this.labelErrorCode.Text = "Fehler 11";
                            this.labelMessage1.Text = "Notstopp aufgrund eines Eintrittssensorfehlers";
                            break;
                        default:
                            this.labelErrorCode.Text = "Fehler 99";
                            this.labelMessage1.Text = "Hersteller kontaktieren";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Japanese:
                    #region Japanese
                    switch (code)
                    {
                        case 11:
                            this.labelErrorCode.Text = "エラㅡ 11";
                            this.labelMessage1.Text = "エントリㅡセンサㅡ異常による緊急停止";
                            break;
                        default:
                            this.labelErrorCode.Text = "エラㅡ 99";
                            this.labelMessage1.Text = "メㅡカㅡにお問い合わせください";
                            break;
                    }
                    #endregion
                    break;
                default:
                    break;
            }
        }
        public DialogFormMessage(int code, DataStore.E_LanguageID language, string data)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (language)
            {
                case DataStore.E_LanguageID.Korean:
                    #region 한글
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Error 01";
                            this.labelMessage1.Text = "입력범위를 확인하세요.";
                            this.labelMessage2.Text = data;
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 99";
                            this.labelMessage1.Text = "제조사에 문의하세요";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.English:
                    #region 영문
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Error 01";
                            this.labelMessage1.Text = "Confirm input range";
                            this.labelMessage2.Text = data;
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 99";
                            this.labelMessage1.Text = "Please contact a manufacturer";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Chinese:
                    #region 중문
                    this.buttonOK.Text = "好";

                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "錯誤 01";
                            this.labelMessage1.Text = "确认输入范围";
                            this.labelMessage2.Text = data;
                            break;
                        default:
                            this.labelErrorCode.Text = "錯誤 99";
                            this.labelMessage1.Text = "请联系厂商";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Czech:
                    #region 체코어
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Chybě 01";
                            this.labelMessage1.Text = "Potvrďte vstupní rozsah.";
                            this.labelMessage2.Text = data;
                            break;
                        default:
                            this.labelErrorCode.Text = "Chybě 99";
                            this.labelMessage1.Text = "Kontaktujte výrobce";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.German:
                    #region 독일어
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Fehler 01";
                            this.labelMessage1.Text = "Den eingegebenen Wert bestätigen";
                            this.labelMessage2.Text = data;
                            break;
                        default:
                            this.labelErrorCode.Text = "Fehler 99";
                            this.labelMessage1.Text = "Hersteller kontaktieren";
                            break;
                    }
                    #endregion
                    break;
                default:
                    #region 한글
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Error 01";
                            this.labelMessage1.Text = "입력범위를 확인하세요.";
                            this.labelMessage2.Text = data;
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 99";
                            this.labelMessage1.Text = "제조사에 문의하세요";
                            break;
                    }
                    #endregion
                    break;
            }
        }
        public DialogFormMessage(object dll, int code, int num1, int num2, DataStore.E_LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (language)
            {
                case DataStore.E_LanguageID.Korean:
                    #region 한글
                    switch (code)
                    {
                        case 14:
                            this.labelErrorCode.Text = "Error 04_14";
                            this.labelMessage1.Text = string.Format("비밀번호 {0}회 오류입니다", num1);
                            this.labelMessage2.Text = string.Format("{0}회 오류 시, 계정이 잠금처리됩니다.", num2);
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 04_99";
                            this.labelMessage1.Text = "제조사에 문의하세요";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.English:
                    #region 영문
                    switch (code)
                    {
                        case 14:
                            this.labelErrorCode.Text = "Error 04_14";
                            this.labelMessage1.Text = string.Format("Password error {0} times.", num1);
                            this.labelMessage2.Text = string.Format("If there are {0} errors, your account will be locked.", num2);
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 04_99";
                            this.labelMessage1.Text = "Please contact a manufacturer";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Chinese:
                    #region 중문
                    this.buttonOK.Text = "确认";

                    switch (code)
                    {
                        case 14:
                            this.labelErrorCode.Text = "错误 04_14";
                            this.labelMessage1.Text = string.Format("密码错误{0}次。", num1);
                            this.labelMessage2.Text = string.Format("如果出现 {0} 个错误，您的帐户将被锁定。", num2);
                            break;
                        default:
                            this.labelErrorCode.Text = "错误 04_99";
                            this.labelMessage1.Text = "请联系制造商";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Czech:
                    break;
                case DataStore.E_LanguageID.German:
                    #region 독일어
                    this.buttonOK.Text = "Bestätigen";

                    switch (code)
                    {
                        case 14:
                            this.labelErrorCode.Text = "Fehler 04_14";
                            this.labelMessage1.Text = string.Format("Passwortfehler {0} Mal.", num1);
                            this.labelMessage2.Text = string.Format("Bei {0} Fehlern wird Ihr Konto gesperrt.", num2);
                            break;
                        default:
                            this.labelErrorCode.Text = "Fehler 04_99";
                            this.labelMessage1.Text = "Bitte wenden Sie sich an einen Hersteller";
                            break;
                    }
                    #endregion
                    break;
                default:
                    break;
            }
        }
        public DialogFormMessage(object dll, int code, DataStore.E_LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (language)
            {
                case DataStore.E_LanguageID.Korean:
                    #region 한글
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Error 04_01";
                            this.labelMessage1.Text = "ID를 찾을 수 없습니다";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "Error 04_02";
                            this.labelMessage1.Text = "ID : 동일한 ID가 있습니다";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "Error 04_03";
                            this.labelMessage1.Text = "ID : 6~20자 입력하세요";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "Error 04_04";
                            this.labelMessage1.Text = "ID : 6~20자 입력하세요";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "Error 04_05";
                            this.labelMessage1.Text = "ID : 연속된 문자(123,321,abc,cba...)또는";
                            this.labelMessage2.Text = "동일한 문자(111,222,aaa...) 사용 할 수 없습니다";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "Error 04_06";
                            this.labelMessage1.Text = "ID : 사용할 수 없는 문자가 포함되어 있습니다";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "Error 04_07";
                            this.labelMessage1.Text = "ID : 사용자 계정이 만료 되었습니다";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "Error 04_08";
                            this.labelMessage1.Text = "PASSWORD : 이전 패스워드 입니다";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "Error 04_09";
                            this.labelMessage1.Text = "PASSWORD : 6~20자 입력하세요";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "Error 04_10";
                            this.labelMessage1.Text = "PASSWORD : 6~20자 입력하세요";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "Error 04_11";
                            this.labelMessage1.Text = "PASSWORD : 연속된 문자(123,321,abc,cba...)또는";
                            this.labelMessage2.Text = "동일한 문자(111,222,aaa...) 사용 할 수 없습니다";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "Error 04_12";
                            this.labelMessage1.Text = "PASSWORD : 사용할 수 없는 문자가 포함되어 있습니다";
                            this.labelMessage2.Text = "사용 가능 특수문자 : !@#$%^&*+-.";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "Error 04_13";
                            this.labelMessage1.Text = "PASSWORD : 영문1이상, 숫자1이상, 특수문자1이상";
                            this.labelMessage2.Text = "포함하여 주십시오";
                            break;
                        case 14:
                            this.labelErrorCode.Text = "Error 04_14";
                            this.labelMessage1.Text = "비밀번호를 확인하세요";
                            break;
                        case 15:
                            this.labelErrorCode.Text = "Error 04_15";
                            this.labelMessage1.Text = "PASSWORD : 비밀번호가 만료 되었습니다";
                            break;
                        case 16:
                            this.labelErrorCode.Text = "Error 04_16";
                            this.labelMessage1.Text = "";
                            break;
                        case 17:
                            this.labelErrorCode.Text = "Error 04_17";
                            this.labelMessage1.Text = "";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "Error 04_18";
                            this.labelMessage1.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 04_99";
                            this.labelMessage1.Text = "제조사에 문의하세요";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.English:
                    #region 영문
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Error 04_01";
                            this.labelMessage1.Text = "ID not found";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "Error 04_02";
                            this.labelMessage1.Text = "ID : ID already exists";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "Error 04_03";
                            this.labelMessage1.Text = "ID : Please enter 6~20 characters";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "Error 04_04";
                            this.labelMessage1.Text = "ID : Please enter 6~20 characters";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "Error 04_05";
                            this.labelMessage1.Text = "ID : Consecutive(123,321,abc,cba...) or";
                            this.labelMessage2.Text = "identical(111,222,aaa...) characters cannot be used.";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "Error 04_06";
                            this.labelMessage1.Text = "ID : Contains invalid characters";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "Error 04_07";
                            this.labelMessage1.Text = "ID : User account has expired";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "Error 04_08";
                            this.labelMessage1.Text = "PASSWORD : This is the old password";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "Error 04_09";
                            this.labelMessage1.Text = "PASSWORD : Please enter 6~20 characters";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "Error 04_10";
                            this.labelMessage1.Text = "PASSWORD : Please enter 6~20 characters";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "Error 04_11";
                            this.labelMessage1.Text = "PASSWORD : Consecutive(123,321,abc,cba...) or";
                            this.labelMessage2.Text = "identical(111,222,aaa...) characters cannot be used.";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "Error 04_12";
                            this.labelMessage1.Text = "PASSWORD : Contains invalid characters";
                            this.labelMessage2.Text = "Special characters allowed : !@#$%^&*+-.";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "Error 04_13";
                            this.labelMessage1.Text = "PASSWORD : Please include at least one English letter,";
                            this.labelMessage2.Text = "at least one number, and at least one special character";
                            break;
                        case 14:
                            this.labelErrorCode.Text = "Error 04_14";
                            this.labelMessage1.Text = "Check your password";
                            break;
                        case 15:
                            this.labelErrorCode.Text = "Error 04_15";
                            this.labelMessage1.Text = "PASSWORD : Password has expired";
                            break;
                        case 16:
                            this.labelErrorCode.Text = "Error 04_16";
                            this.labelMessage1.Text = "";
                            break;
                        case 17:
                            this.labelErrorCode.Text = "Error 04_17";
                            this.labelMessage1.Text = "";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "Error 04_18";
                            this.labelMessage1.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "Error 04_99";
                            this.labelMessage1.Text = "Please contact a manufacturer";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Chinese:
                    #region 중문
                    this.buttonOK.Text = "确认";

                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "错误 04_01";
                            this.labelMessage1.Text = "未找到 ID";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "错误 04_02";
                            this.labelMessage1.Text = "ID : ID已存在";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "错误 04_03";
                            this.labelMessage1.Text = "ID : 请输入6~20个字符";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "错误 04_04";
                            this.labelMessage1.Text = "ID : 请输入6~20个字符";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "错误 04_05";
                            this.labelMessage1.Text = "ID : 不能使用连续的 (123,321,abc,cba...)";
                            this.labelMessage2.Text = "或相同的 (111,222,aaa...) 字符。";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "错误 04_06";
                            this.labelMessage1.Text = "ID : 它包含无效字符";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "错误 04_07";
                            this.labelMessage1.Text = "ID : 用户帐号已过期";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "错误 04_08";
                            this.labelMessage1.Text = "密码 : 这是旧密码";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "错误 04_09";
                            this.labelMessage1.Text = "密码 : 请输入6~20个字符";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "错误 04_10";
                            this.labelMessage1.Text = "密码 : 请输入6~20个字符";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "错误 04_11";
                            this.labelMessage1.Text = "密码 : 不能使用连续的 (123,321,abc,cba...)";
                            this.labelMessage2.Text = "或相同的 (111,222,aaa...) 字符。";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "错误 04_12";
                            this.labelMessage1.Text = "密码 : 它包含无效字符";
                            this.labelMessage2.Text = "允许使用特殊字符 : !@#$%^&*+-.";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "错误 04_13";
                            this.labelMessage1.Text = "密码 : 请至少包含一个英文字母，";
                            this.labelMessage2.Text = "至少一个数字，至少一个特殊字符";
                            break;
                        case 14:
                            this.labelErrorCode.Text = "错误 04_14";
                            this.labelMessage1.Text = "检查您的密码";
                            break;
                        case 15:
                            this.labelErrorCode.Text = "错误 04_15";
                            this.labelMessage1.Text = "密码 : 密码已过期";
                            break;
                        case 16:
                            this.labelErrorCode.Text = "错误 04_16";
                            this.labelMessage1.Text = "";
                            break;
                        case 17:
                            this.labelErrorCode.Text = "错误 04_17";
                            this.labelMessage1.Text = "";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "错误 04_18";
                            this.labelMessage1.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "错误 04_99";
                            this.labelMessage1.Text = "请联系制造商";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.Czech:
                    #region 체코어
                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Chybě 04_01";
                            this.labelMessage1.Text = "";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "Chybě 04_02";
                            this.labelMessage1.Text = "";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "Chybě 04_03";
                            this.labelMessage1.Text = "";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "Chybě 04_04";
                            this.labelMessage1.Text = "";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "Chybě 04_05";
                            this.labelMessage1.Text = "";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "Chybě 04_06";
                            this.labelMessage1.Text = "";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "Chybě 04_07";
                            this.labelMessage1.Text = "";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "Chybě 04_08";
                            this.labelMessage1.Text = "";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "Chybě 04_09";
                            this.labelMessage1.Text = "";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "Chybě 04_10";
                            this.labelMessage1.Text = "";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "Chybě 04_11";
                            this.labelMessage1.Text = "";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "Chybě 04_12";
                            this.labelMessage1.Text = "";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "Chybě 04_13";
                            this.labelMessage1.Text = "";
                            break;
                        case 14:
                            this.labelErrorCode.Text = "Chybě 04_14";
                            this.labelMessage1.Text = "";
                            break;
                        case 15:
                            this.labelErrorCode.Text = "Chybě 04_15";
                            this.labelMessage1.Text = "";
                            break;
                        case 16:
                            this.labelErrorCode.Text = "Chybě 04_16";
                            this.labelMessage1.Text = "";
                            break;
                        case 17:
                            this.labelErrorCode.Text = "Chybě 04_17";
                            this.labelMessage1.Text = "";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "Chybě 04_18";
                            this.labelMessage1.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "Chybě 04_99";
                            this.labelMessage1.Text = "Kontaktujte výrobce";
                            this.labelMessage2.Text = "";
                            break;
                    }
                    #endregion
                    break;
                case DataStore.E_LanguageID.German:
                    #region 독일어
                    this.buttonOK.Text = "Bestätigen";

                    switch (code)
                    {
                        case 1:
                            this.labelErrorCode.Text = "Fehler 04_01";
                            this.labelMessage1.Text = "ID nicht gefunden";
                            break;
                        case 2:
                            this.labelErrorCode.Text = "Fehler 04_02";
                            this.labelMessage1.Text = "ID : ID existiert bereits";
                            break;
                        case 3:
                            this.labelErrorCode.Text = "Fehler 04_03";
                            this.labelMessage1.Text = "ID : Bitte geben Sie 6~20 Zeichen ein";
                            break;
                        case 4:
                            this.labelErrorCode.Text = "Fehler 04_04";
                            this.labelMessage1.Text = "ID : Bitte geben Sie 6~20 Zeichen ein";
                            break;
                        case 5:
                            this.labelErrorCode.Text = "Fehler 04_05";
                            this.labelMessage1.Text = "ID : Aufeinanderfolgende (123,321,abc,cba...)";
                            this.labelMessage2.Text = "oder identische (111,222,aaa...) Zeichen können nicht verwendet werden.";
                            break;
                        case 6:
                            this.labelErrorCode.Text = "Fehler 04_06";
                            this.labelMessage1.Text = "ID : Es enthält ungültige Zeichen";
                            break;
                        case 7:
                            this.labelErrorCode.Text = "Fehler 04_07";
                            this.labelMessage1.Text = "ID : Benutzerkonto ist abgelaufen";
                            break;
                        case 8:
                            this.labelErrorCode.Text = "Fehler 04_08";
                            this.labelMessage1.Text = "Passwort : Dies ist das alte Passwort";
                            break;
                        case 9:
                            this.labelErrorCode.Text = "Fehler 04_09";
                            this.labelMessage1.Text = "Passwort : Bitte geben Sie 6~20 Zeichen ein";
                            break;
                        case 10:
                            this.labelErrorCode.Text = "Fehler 04_10";
                            this.labelMessage1.Text = "Passwort : Bitte geben Sie 6~20 Zeichen ein";
                            break;
                        case 11:
                            this.labelErrorCode.Text = "Fehler 04_11";
                            this.labelMessage1.Text = "Passwort : Aufeinanderfolgende (123,321,abc,cba...)";
                            this.labelMessage2.Text = "oder identische (111,222,aaa...) Zeichen können nicht verwendet werden.";
                            break;
                        case 12:
                            this.labelErrorCode.Text = "Fehler 04_12";
                            this.labelMessage1.Text = "Passwort : Es enthält ungültige Zeichen";
                            this.labelMessage2.Text = "Sonderzeichen erlaubt : !@#$%^&*+-.";
                            break;
                        case 13:
                            this.labelErrorCode.Text = "Fehler 04_13";
                            this.labelMessage1.Text = "Passwort : Bitte geben Sie mindestens einen";
                            this.labelMessage2.Text = "englischen Buchstaben, mindestens eine Ziffer und mindestens ein Sonderzeichen an";
                            break;
                        case 14:
                            this.labelErrorCode.Text = "Fehler 04_14";
                            this.labelMessage1.Text = "Überprüfen Sie Ihr Passwort";
                            break;
                        case 15:
                            this.labelErrorCode.Text = "Fehler 04_15";
                            this.labelMessage1.Text = "Passwort : Passwort ist abgelaufen";
                            break;
                        case 16:
                            this.labelErrorCode.Text = "Fehler 04_16";
                            this.labelMessage1.Text = "";
                            break;
                        case 17:
                            this.labelErrorCode.Text = "Fehler 04_17";
                            this.labelMessage1.Text = "";
                            break;
                        case 18:
                            this.labelErrorCode.Text = "Fehler 04_18";
                            this.labelMessage1.Text = "";
                            break;
                        default:
                            this.labelErrorCode.Text = "Fehler 04_99";
                            this.labelMessage1.Text = "Bitte wenden Sie sich an einen Hersteller";
                            break;
                    }
                    #endregion
                    break;
                default:
                    break;
            }
        }
        public DialogFormMessage(DataStore.MessageBoxIcon icon, string code, string message1, string message2, int autoClose_sec, DataStore.E_LanguageID language)
        {
            InitializeComponent();

            this.timerAutoClose.Enabled = false;

            this.pictureBoxAsterisk.Visible = false;
            this.pictureBoxExclamation.Visible = false;
            this.pictureBoxHand.Visible = false;
            this.pictureBoxQuestion.Visible = false;

            switch (language)
            {
                case DataStore.E_LanguageID.Chinese:
                    this.buttonOK.Text = "好";
                    break;
                default:
                    this.buttonOK.Text = "OK";
                    break;
            }

            switch (icon)
            {
                case DataStore.MessageBoxIcon.Hand:
                    this.pictureBoxHand.Visible = true;
                    this.pictureBoxHand.BringToFront();
                    break;
                case DataStore.MessageBoxIcon.Question:
                    this.pictureBoxQuestion.Visible = true;
                    this.pictureBoxQuestion.BringToFront();
                    break;
                case DataStore.MessageBoxIcon.Exclamation:
                    this.pictureBoxExclamation.Visible = true;
                    this.pictureBoxExclamation.BringToFront();
                    break;
                case DataStore.MessageBoxIcon.Asterisk:
                    this.pictureBoxAsterisk.Visible = true;
                    this.pictureBoxAsterisk.BringToFront();
                    break;
                default:
                    break;
            }

            this.labelErrorCode.Text = code;
            this.labelMessage1.Text = message1;
            this.labelMessage2.Text = message2;

            if (autoClose_sec != 0)
            {
                this.timerAutoClose.Interval = autoClose_sec * 1000;
                this.timerAutoClose.Enabled = true;
            }
        }
        public DialogFormMessage(int errCode, DataStore.E_LanguageID language, DataStore.FormStore screen)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            int screenNum = (int)screen;

            switch (screen)
            {
                case DataStore.FormStore.FormProgramUpdate:
                    if (language == DataStore.E_LanguageID.Korean)
                    {
                        this.buttonOK.Text = "OK";

                        #region 한글
                        switch (errCode)
                        {
                            case 1:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_01";
                                this.labelMessage1.Text = "파일명이 올바르지 않습니다";
                                this.labelMessage2.Text = "";
                                break;
                            case 2:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_02";
                                this.labelMessage1.Text = "시리얼 번호가 올바르지 않습니다";
                                this.labelMessage2.Text = "";
                                break;
                            case 3:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_03";
                                this.labelMessage1.Text = "파일을 찾을 수 없습니다";
                                this.labelMessage2.Text = "";
                                break;
                            case 4:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_04";
                                this.labelMessage1.Text = "파일 상태에 문제가 있습니다";
                                this.labelMessage2.Text = "";
                                break;
                            case 5:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_05";
                                this.labelMessage1.Text = "파일의 시리얼 번호가 현재 장비와 일치하지 않습니다";
                                this.labelMessage2.Text = "";
                                break;
                            case 6:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_06";
                                this.labelMessage1.Text = "UID가 일치하지 않습니다";
                                this.labelMessage2.Text = "";
                                break;
                            case 7:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_07";
                                this.labelMessage1.Text = "키 타입이 올바르지 않습니다";
                                this.labelMessage2.Text = "";
                                break;
                            default:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_99";
                                this.labelMessage1.Text = "제조사에 문의하세요";
                                this.labelMessage2.Text = "";
                                break;
                        }
                        #endregion
                    }
                    else if (language == DataStore.E_LanguageID.English)
                    {
                        this.buttonOK.Text = "OK";

                        #region 영문
                        switch (errCode)
                        {
                            case 1:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_01";
                                this.labelMessage1.Text = "The file name is incorrect";
                                this.labelMessage2.Text = "";
                                break;
                            case 2:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_02";
                                this.labelMessage1.Text = "Serial number is incorrect";
                                this.labelMessage2.Text = "";
                                break;
                            case 3:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_03";
                                this.labelMessage1.Text = "file not found";
                                this.labelMessage2.Text = "";
                                break;
                            case 4:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_04";
                                this.labelMessage1.Text = "There is a problem with the file status";
                                this.labelMessage2.Text = "";
                                break;
                            case 5:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_05";
                                this.labelMessage1.Text = "The serial number in the file";
                                this.labelMessage2.Text = "does not match your current device";
                                break;
                            case 6:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_06";
                                this.labelMessage1.Text = "UID does not match";
                                this.labelMessage2.Text = "";
                                break;
                            case 7:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_07";
                                this.labelMessage1.Text = "Key type is incorrect";
                                this.labelMessage2.Text = "";
                                break;
                            default:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_99";
                                this.labelMessage1.Text = "Please contact a manufacturer";
                                break;
                        }
                        #endregion
                    }
                    else if (language == DataStore.E_LanguageID.Chinese)
                    {
                        this.buttonOK.Text = "确认";

                        #region 중문
                        switch (errCode)
                        {
                            case 1:
                                this.labelErrorCode.Text = "错误" + screenNum.ToString() + "_01";
                                this.labelMessage1.Text = "文件名不正确";
                                this.labelMessage2.Text = "";
                                break;
                            case 2:
                                this.labelErrorCode.Text = "错误" + screenNum.ToString() + "_02";
                                this.labelMessage1.Text = "序列号不正确";
                                this.labelMessage2.Text = "";
                                break;
                            case 3:
                                this.labelErrorCode.Text = "错误" + screenNum.ToString() + "_03";
                                this.labelMessage1.Text = "文件未找到";
                                this.labelMessage2.Text = "";
                                break;
                            case 4:
                                this.labelErrorCode.Text = "错误" + screenNum.ToString() + "_04";
                                this.labelMessage1.Text = "文件状态有问题";
                                this.labelMessage2.Text = "";
                                break;
                            case 5:
                                this.labelErrorCode.Text = "错误" + screenNum.ToString() + "_05";
                                this.labelMessage1.Text = "文件中的序列号与您当前的设备不匹配";
                                this.labelMessage2.Text = "";
                                break;
                            case 6:
                                this.labelErrorCode.Text = "错误" + screenNum.ToString() + "_06";
                                this.labelMessage1.Text = "UID 不匹配";
                                this.labelMessage2.Text = "";
                                break;
                            case 7:
                                this.labelErrorCode.Text = "错误" + screenNum.ToString() + "_07";
                                this.labelMessage1.Text = "密钥类型不正确";
                                this.labelMessage2.Text = "";
                                break;
                            default:
                                this.labelErrorCode.Text = "错误" + screenNum.ToString() + "_99";
                                this.labelMessage1.Text = "请联系厂商";
                                this.labelMessage2.Text = "";
                                break;
                        }
                        #endregion
                    }
                    else if (language == DataStore.E_LanguageID.Czech)
                    {

                    }
                    else if (language == DataStore.E_LanguageID.Russian)
                    {
                        this.buttonOK.Text = "OK";

                        #region 러시아어
                        switch (errCode)
                        {
                            case 1:
                                this.labelErrorCode.Text = "Ошибка" + screenNum.ToString() + "_01";
                                this.labelMessage1.Text = "Имя файла неверно";
                                this.labelMessage2.Text = "";
                                break;
                            case 2:
                                this.labelErrorCode.Text = "Ошибка" + screenNum.ToString() + "_02";
                                this.labelMessage1.Text = "Серийный номер неверен";
                                this.labelMessage2.Text = "";
                                break;
                            case 3:
                                this.labelErrorCode.Text = "Ошибка" + screenNum.ToString() + "_03";
                                this.labelMessage1.Text = "файл не найден";
                                this.labelMessage2.Text = "";
                                break;
                            case 4:
                                this.labelErrorCode.Text = "Ошибка" + screenNum.ToString() + "_04";
                                this.labelMessage1.Text = "Возникла проблема со статусом файла";
                                this.labelMessage2.Text = "";
                                break;
                            case 5:
                                this.labelErrorCode.Text = "Ошибка" + screenNum.ToString() + "_05";
                                this.labelMessage1.Text = "Серийный номер в файле не";
                                this.labelMessage2.Text = "соответствует вашему текущему устройству";
                                break;
                            case 6:
                                this.labelErrorCode.Text = "Ошибка" + screenNum.ToString() + "_06";
                                this.labelMessage1.Text = "UID не соответствует";
                                this.labelMessage2.Text = "";
                                break;
                            case 7:
                                this.labelErrorCode.Text = "Ошибка" + screenNum.ToString() + "_07";
                                this.labelMessage1.Text = "Тип ключа неверен";
                                this.labelMessage2.Text = "";
                                break;
                            default:
                                this.labelErrorCode.Text = "Ошибка" + screenNum.ToString() + "_99";
                                this.labelMessage1.Text = "Свяжитесь с производителем";
                                this.labelMessage2.Text = "";
                                break;
                        }
                        #endregion
                    }
                    else if (language == DataStore.E_LanguageID.German)
                    {
                        this.buttonOK.Text = "Bestätigen";

                        #region 독일어
                        switch (errCode)
                        {
                            case 1:
                                this.labelErrorCode.Text = "Fehler" + screenNum.ToString() + "_01";
                                this.labelMessage1.Text = "Der Dateiname ist falsch";
                                this.labelMessage2.Text = "";
                                break;
                            case 2:
                                this.labelErrorCode.Text = "Fehler" + screenNum.ToString() + "_02";
                                this.labelMessage1.Text = "Die Seriennummer ist falsch";
                                this.labelMessage2.Text = "";
                                break;
                            case 3:
                                this.labelErrorCode.Text = "Fehler" + screenNum.ToString() + "_03";
                                this.labelMessage1.Text = "Datei nicht gefunden";
                                this.labelMessage2.Text = "";
                                break;
                            case 4:
                                this.labelErrorCode.Text = "Fehler" + screenNum.ToString() + "_04";
                                this.labelMessage1.Text = "Es liegt ein Problem mit dem Dateistatus vor";
                                this.labelMessage2.Text = "";
                                break;
                            case 5:
                                this.labelErrorCode.Text = "Fehler" + screenNum.ToString() + "_05";
                                this.labelMessage1.Text = "Die Seriennummer in der Datei stimmt";
                                this.labelMessage2.Text = "nicht mit Ihrem aktuellen Gerät überein";
                                break;
                            case 6:
                                this.labelErrorCode.Text = "Fehler" + screenNum.ToString() + "_06";
                                this.labelMessage1.Text = "UID stimmt nicht überein";
                                this.labelMessage2.Text = "";
                                break;
                            case 7:
                                this.labelErrorCode.Text = "Fehler" + screenNum.ToString() + "_07";
                                this.labelMessage1.Text = "Der Schlüsseltyp ist falsch";
                                this.labelMessage2.Text = "";
                                break;
                            default:
                                this.labelErrorCode.Text = "Fehler" + screenNum.ToString() + "_99";
                                this.labelMessage1.Text = "Hersteller kontaktieren";
                                this.labelMessage2.Text = "";
                                break;
                        }
                        #endregion
                    }
                    else if (language == DataStore.E_LanguageID.Spanish)
                    {
                        this.buttonOK.Text = "DE ACUERDO";

                        #region 스페인어
                        switch (errCode)
                        {
                            case 1:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_01";
                                this.labelMessage1.Text = "El nombre del archivo es incorrecto";
                                this.labelMessage2.Text = "";
                                break;
                            case 2:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_02";
                                this.labelMessage1.Text = "El número de serie es incorrecto";
                                this.labelMessage2.Text = "";
                                break;
                            case 3:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_03";
                                this.labelMessage1.Text = "Archivo no encontrado";
                                this.labelMessage2.Text = "";
                                break;
                            case 4:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_04";
                                this.labelMessage1.Text = "Hay un problema con el estado del archivo.";
                                this.labelMessage2.Text = "";
                                break;
                            case 5:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_05";
                                this.labelMessage1.Text = "El número de serie en el archivo";
                                this.labelMessage2.Text = "no coincide con su dispositivo actual";
                                break;
                            case 6:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_06";
                                this.labelMessage1.Text = "El UID no coincide";
                                this.labelMessage2.Text = "";
                                break;
                            case 7:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_07";
                                this.labelMessage1.Text = "El tipo de clave es incorrecto";
                                this.labelMessage2.Text = "";
                                break;
                            default:
                                this.labelErrorCode.Text = "Error" + screenNum.ToString() + "_99";
                                this.labelMessage1.Text = "Póngase en contacto con un fabricante";
                                this.labelMessage2.Text = "";
                                break;
                        }
                        #endregion
                    }
                    else if (language == DataStore.E_LanguageID.Turkish)
                    {
                        this.buttonOK.Text = "Tamam";

                        #region 터키어
                        switch (errCode)
                        {
                            case 1:
                                this.labelErrorCode.Text = "Hata" + screenNum.ToString() + "_01";
                                this.labelMessage1.Text = "Dosya adı yanlış";
                                this.labelMessage2.Text = "";
                                break;
                            case 2:
                                this.labelErrorCode.Text = "Hata" + screenNum.ToString() + "_02";
                                this.labelMessage1.Text = "Seri numarası yanlış";
                                this.labelMessage2.Text = "";
                                break;
                            case 3:
                                this.labelErrorCode.Text = "Hata" + screenNum.ToString() + "_03";
                                this.labelMessage1.Text = "Dosya bulunamadı";
                                this.labelMessage2.Text = "";
                                break;
                            case 4:
                                this.labelErrorCode.Text = "Hata" + screenNum.ToString() + "_04";
                                this.labelMessage1.Text = "Dosya durumuyla ilgili bir sorun var";
                                this.labelMessage2.Text = "";
                                break;
                            case 5:
                                this.labelErrorCode.Text = "Hata" + screenNum.ToString() + "_05";
                                this.labelMessage1.Text = "Dosyadaki seri numarası geçerli";
                                this.labelMessage2.Text = "cihazla eşleşmiyor";
                                break;
                            case 6:
                                this.labelErrorCode.Text = "Hata" + screenNum.ToString() + "_06";
                                this.labelMessage1.Text = "UID eşleşmiyor";
                                this.labelMessage2.Text = "";
                                break;
                            case 7:
                                this.labelErrorCode.Text = "Hata" + screenNum.ToString() + "_07";
                                this.labelMessage1.Text = "Anahtar türü yanlış";
                                this.labelMessage2.Text = "";
                                break;
                            default:
                                this.labelErrorCode.Text = "Hata" + screenNum.ToString() + "_99";
                                this.labelMessage1.Text = "Lütfen bir üreticiyle iletişime geçin";
                                break;
                        }
                        #endregion
                    }
                    else if (language == DataStore.E_LanguageID.French)
                    {
                        this.buttonOK.Text = "Vérifier";

                        #region 프랑스어
                        switch (errCode)
                        {
                            case 1:
                                this.labelErrorCode.Text = "Erreur" + screenNum.ToString() + "_01";
                                this.labelMessage1.Text = "Le nom du fichier est incorrect";
                                this.labelMessage2.Text = "";
                                break;
                            case 2:
                                this.labelErrorCode.Text = "Erreur" + screenNum.ToString() + "_02";
                                this.labelMessage1.Text = "Le numéro de série est incorrect";
                                this.labelMessage2.Text = "";
                                break;
                            case 3:
                                this.labelErrorCode.Text = "Erreur" + screenNum.ToString() + "_03";
                                this.labelMessage1.Text = "Fichier introuvable";
                                this.labelMessage2.Text = "";
                                break;
                            case 4:
                                this.labelErrorCode.Text = "Erreur" + screenNum.ToString() + "_04";
                                this.labelMessage1.Text = "Il y a un problème avec le statut du fichier";
                                this.labelMessage2.Text = "";
                                break;
                            case 5:
                                this.labelErrorCode.Text = "Erreur" + screenNum.ToString() + "_05";
                                this.labelMessage1.Text = "Le numéro de série dans le fichier ne correspond";
                                this.labelMessage2.Text = "pas à l'appareil actuel";
                                break;
                            case 6:
                                this.labelErrorCode.Text = "Erreur" + screenNum.ToString() + "_06";
                                this.labelMessage1.Text = "L'UID ne correspond pas";
                                this.labelMessage2.Text = "";
                                break;
                            case 7:
                                this.labelErrorCode.Text = "Erreur" + screenNum.ToString() + "_07";
                                this.labelMessage1.Text = "Le type de clé est incorrect";
                                this.labelMessage2.Text = "";
                                break;
                            default:
                                this.labelErrorCode.Text = "Erreur" + screenNum.ToString() + "_99";
                                this.labelMessage1.Text = "Contacter le fabricant";
                                this.labelMessage2.Text = "";
                                break;
                        }
                        #endregion
                    }
                    else
                    {

                    }
                    break;
                default:
                    break;
            }
        }
        #endregion

        #region Property
        public FormMain ParentForm
        {
            get { return this.m_ParentForm; }
            set { this.m_ParentForm = value; }
        }
        #endregion

        #region Method
        private void InitializeContnrol()
        {
            int x = 0, y = 0;

            x = Screen.PrimaryScreen.Bounds.Width / 2 - this.Size.Width / 2;
            y = Screen.PrimaryScreen.Bounds.Height / 2 - this.Size.Height / 2;

            this.Location = new Point(x, y);
        }
        #endregion

        #region Override Member
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.InitializeContnrol();
        }
        #endregion

        #region Event Handler
        private void buttonOK_Click(object sender, EventArgs e)
        {
            if (this.ParentForm != null)
            {
                if (this.ParentForm.smartThread.State == SmartX.SmartThread.ThreadState.Running)
                    this.ParentForm.smartThread.End();
            }

            this.DialogResult = DialogResult.OK;
            this.Close();
        }
        private void timerAutoClose_Tick(object sender, EventArgs e)
        {
            this.timerAutoClose.Enabled = false;
            this.DialogResult = DialogResult.OK;
            this.Close();
        }
        #endregion
    }
}